Bug 53385 - db3 does not use the same config.cache as the rest of rpm
db3 does not use the same config.cache as the rest of rpm
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-09-07 14:30 EDT by Nathan Owen
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 18:58:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch using different args to db3/configure (749 bytes, patch)
2001-09-07 14:32 EDT, Nathan Owen
no flags Details | Diff

  None (edit)
Description Nathan Owen 2001-09-07 14:30:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en] (X11; U; SunOS 5.6 sun4u)

Description of problem:
using the same cache speeds up the configure for db significantly (at least
on my solaris box) and has the added bonus of passing a working compiler to
db (the db configure uses a hack to make it prefer cc to gcc, but doesn't
catch the case where cc is a stub the way AC_PROG_CC does.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. with a broken cc and working gcc run configure

Additional info:
Comment 1 Nathan Owen 2001-09-07 14:32:43 EDT
Created attachment 31258 [details]
patch using different args to db3/configure
Comment 2 Jeff Johnson 2005-02-07 18:58:20 EST
Yes, db3 uses a separate config.cache. That is by intent.

Nothing wrong with your patch however, just not how I wish
Berkeley DB wired in rpm.

Note You need to log in before you can comment on or make changes to this bug.